Package org.bukkit

# Enum Class World.Environment

java.lang.Object
java.lang.Enum<World.Environment>
org.bukkit.World.Environment

All Implemented Interfaces:
  `Serializable`, `Comparable<World.Environment>`, `Constable`

Enclosing interface:
  World

public static enum World.Environment extends Enum<World.Environment>
Represents various map environment types that a world may be

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CUSTOM`
Represents a custom dimension
`NETHER`
Represents a nether based map ("hell")
`NORMAL`
Represents the "normal"/"surface world" map
`THE_END`
Represents the "end" map

## Method Summary

Modifier and Type
Method
Description
`static @Nullable World.Environment`
`getEnvironment(int id)`
Deprecated.
Magic value
`int`
`getId()`
Deprecated.
Magic value
`static World.Environment`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static World.Environment[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NORMAL

public static final World.Environment NORMAL
Represents the "normal"/"surface world" map

### NETHER

public static final World.Environment NETHER
Represents a nether based map ("hell")

### THE_END

public static final World.Environment THE_END
Represents the "end" map

### CUSTOM

public static final World.Environment CUSTOM
Represents a custom dimension

## Method Details

### values

public static World.Environment[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static World.Environment valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getId

@Deprecated public int getId()
Deprecated.
Magic value
Gets the dimension ID of this environment

Returns:
  dimension ID

### getEnvironment

@Deprecated @Nullable public static @Nullable World.Environment getEnvironment(int id)
Deprecated.
Magic value
Get an environment by ID

Parameters:
  `id` - The ID of the environment
Returns:
  The environment